//
//  QueueHelper.swift
//  WOKA
//
//  Created by MacBook Pro on 06/05/24.
//

import Foundation

/*
 this are the predefined queuehelper
 modify as required
 */

class QueueHelper {
    static let queue = DispatchQueue(label: "com.woka")
    static let queueHome = DispatchQueue(label: "com.woka.home")
    static let group = DispatchGroup()
    static let group2 = DispatchGroup()
    static let group3 = DispatchGroup()
    static let background = DispatchQueue.global(qos: .background)
    static let utilityGroup = DispatchQueue.global(qos: .utility)
    static let userInteractive = DispatchQueue.global(qos: .userInteractive)
    static let semaphore = DispatchSemaphore(value: 1)
}
